namespace Tiobon.Core.Api.Controllers;

/// <summary>
/// Ghrc_SalaryItem(Controller)
/// </summary>
[Route("api/[controller]")]
[ApiController, GlobalActionFilter]
[Authorize(Permissions.Name), ApiExplorerSettings(GroupName = Grouping.GroupName_Ghrc)]
public class Ghrc_SalaryItemController : BaseController<IGhrc_SalaryItemServices, Ghrc_SalaryItem, Ghrc_SalaryItemDto, InsertGhrc_SalaryItemInput, EditGhrc_SalaryItemInput>
{
    public Ghrc_SalaryItemController(IGhrc_SalaryItemServices service) : base(service)
    {
    }
}